### Function

# Cogl Bitmap get_size_from_file

#### Declaration [src]

    gboolean
    cogl_bitmap_get_size_from_file (
      const char* filename,
      int* width,
      int* height
    )

#### Description [src]

Parses an image file enough to extract the width and height of the bitmap.

#### Parameters

`filename`

  Type: `const char*`

  The file to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `int*`

  Return location for the bitmap width, or `NULL`.

  The argument will be set by the function.

`height`

  Type: `int*`

  Return location for the bitmap height, or `NULL`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the image was successfully parsed.